% 3 x 3 x 3 の立方体　ただし中心の 1 x 1 x 1 の部分は中空

points = ...
[ repmat([0,1,2,3], 1,4*4); ...
  repmat([0,0,0,0, 1,1,1,1, 2,2,2,2, 3,3,3,3], 1,4); ...
  repmat(0, 1,4*4), repmat(1, 1,4*4), repmat(2, 1,4*4), repmat(3,1,4*4) ];

tetrahedra = [];
p = [];
for k=1:3
    for j=1:3
        for i=1:3
            if i==2 && j==2 && k==2
                continue;
            end
            p = [ p; [ i, j, k ] ];
            down = 1 + 4*4*(k-1) + 4*(j-1) + (i-1);
            up = down + 4*4;
            tetras = dividing_cuboid( down, down+1, down+4+1, down+4, ...
                                        up,   up+1,   up+4+1,   up+4);
            tetrahedra = [tetrahedra; tetras];
        end
    end
end

%[ nsurfs, surfs, order ] = triangles_to_surfaces (triangles);
%nsurfs

elastic = Body(4^3,points, 6*(27-1),tetrahedra);
triangles = elastic.BoundaryFaces;

elastic.Surfaces(1)
elastic.Surfaces(2)
